/*
	File:		CLUTBuilder.h

	Contains:	

	Written by: 	

	Copyright:	Copyright  999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/8/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#pragma once
#include <MacTypes.h>
#include <Controls.h>
#include <Quickdraw.h>


OSErr	gColorError;	/* to report errors from bottlenecks. */
CTabHandle gColorTable;	/* to collect colors from bottlenecks. */
short gNextCSpec;		/* next CSpec entry in color table */
short foundDirect;		/* set to true if we uncover a direct pixmap */
short maxPixDepth;      /* depth of deepest pixmap found */
void AddRGBColor(RGBColor * rgb);
void AddColorTable(CTabHandle cTab);
void AddRGBForeColor();
void AddRGBBackColor();
void AddPixPat(PixPatHandle pPat);
void AddPenPixPat();
void AddFillPixPat();
void AddVerb(GrafVerb verb);
pascal void ColorTextProc(short byteCount, Ptr textBuf, Point numer, Point denom);
pascal void ColorLineProc(Point newPt);
pascal void ColorRectProc(GrafVerb verb,Rect* r);
pascal void ColorRRectProc(GrafVerb verb,Rect* r, short ovalWidth,short ovalHeight);
pascal void ColorOvalProc(GrafVerb verb,Rect r);
pascal void ColorArcProc(GrafVerb verb,Rect* r,short startAngle,short arcAngle);
pascal void ColorPolyProc(GrafVerb verb, PolyHandle poly);
pascal void ColorRgnProc(GrafVerb verb,RgnHandle rgn);
pascal void ColorBitsProc(BitMap* BitsPtr,Rect srcRect, Rect dstRect,short mode,RgnHandle maskRgn);
CTabHandle CollectColors(PicHandle fromPicture,short * depthPtr,short * directFlagPtr);